#!/bin/bash
cd data_out/dep_en_L
LList="8 16 32 64 96"
LFinalList=()

mkdir -p tmpdata
for L in $LList; do
  if [ -d "$L" ]; then
    (cd $L; cat *.res | sort -nk2 > "../tmpdata/$L.dat")
    if [ $L -eq 32 ]; then
      ../../out/cv_via_derivative < tmpdata/32.dat > tmpdata/32_derivada_E.dat
    fi
    LFinalList+=("$L")
  else
    echo "Folder with L=$L doesn't exist, skipping."
  fi
done

LFinalListString="${LFinalList[@]}"

cd ../../
mkdir -p data_out/dep_en_L_graphs

cd data_out/dep_en_L_graphs
../../graphs/dependenciaEnL.gnu "$LFinalListString"

cd ../../
#rm -rf data_out/dep_en_L/tmpdata
